package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemHolidayBindingImpl extends ItemHolidayBinding implements com.toughra.ustadmobile.generated.callback.OnClickListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.item_daterange_newitemicon, 4);
    }
    // views
    @NonNull
    private final androidx.constraintlayout.widget.ConstraintLayout mboundView0;
    // variables
    @Nullable
    private final android.view.View.OnClickListener mCallback76;
    @Nullable
    private final android.view.View.OnClickListener mCallback75;
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemHolidayBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 5, sIncludes, sViewsWithIds));
    }
    private ItemHolidayBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (android.widget.TextView) bindings[1]
            , (android.widget.TextView) bindings[2]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[4]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[3]
            );
        this.itemDaterangeLine1Text.setTag(null);
        this.itemDaterangeLine2Text.setTag(null);
        this.itemDaterangeSecondaryMenuImageview.setTag(null);
        this.mboundView0 = (androidx.constraintlayout.widget.ConstraintLayout) bindings[0];
        this.mboundView0.setTag(null);
        setRootTag(root);
        // listeners
        mCallback76 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 2);
        mCallback75 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 1);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x4L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.holiday == variableId) {
            setHoliday((com.ustadmobile.lib.db.entities.Holiday) variable);
        }
        else if (BR.mPresenter == variableId) {
            setMPresenter((com.ustadmobile.core.controller.HolidayCalendarEditPresenter) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setHoliday(@Nullable com.ustadmobile.lib.db.entities.Holiday Holiday) {
        this.mHoliday = Holiday;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.holiday);
        super.requestRebind();
    }
    public void setMPresenter(@Nullable com.ustadmobile.core.controller.HolidayCalendarEditPresenter MPresenter) {
        this.mMPresenter = MPresenter;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.mPresenter);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        com.ustadmobile.lib.db.entities.Holiday holiday = mHoliday;
        java.lang.String holidayHolName = null;
        long holidayHolEndTime = 0;
        com.ustadmobile.core.controller.HolidayCalendarEditPresenter mPresenter = mMPresenter;
        long holidayHolStartTime = 0;

        if ((dirtyFlags & 0x5L) != 0) {



                if (holiday != null) {
                    // read holiday.holName
                    holidayHolName = holiday.getHolName();
                    // read holiday.holEndTime
                    holidayHolEndTime = holiday.getHolEndTime();
                    // read holiday.holStartTime
                    holidayHolStartTime = holiday.getHolStartTime();
                }
        }
        // batch finished
        if ((dirtyFlags & 0x5L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemDaterangeLine1Text, holidayHolName);
            com.ustadmobile.port.android.view.binding.EditTextBindingsKt.setTextDateRange(this.itemDaterangeLine2Text, holidayHolStartTime, holidayHolEndTime);
        }
        if ((dirtyFlags & 0x4L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.PopupViewBindingKt.setOnPopupMenuItemClickListener(this.itemDaterangeSecondaryMenuImageview, mCallback75, mCallback76);
        }
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        switch(sourceId) {
            case 2: {
                // localize variables for thread safety
                // holiday
                com.ustadmobile.lib.db.entities.Holiday holiday = mHoliday;
                // mPresenter != null
                boolean mPresenterJavaLangObjectNull = false;
                // mPresenter.holidayToManyJoinListener
                com.ustadmobile.core.util.NavigateForResultOneToManyJoinEditListener<com.ustadmobile.lib.db.entities.Holiday> mPresenterHolidayToManyJoinListener = null;
                // mPresenter.holidayToManyJoinListener != null
                boolean mPresenterHolidayToManyJoinListenerJavaLangObjectNull = false;
                // mPresenter
                com.ustadmobile.core.controller.HolidayCalendarEditPresenter mPresenter = mMPresenter;



                mPresenterJavaLangObjectNull = (mPresenter) != (null);
                if (mPresenterJavaLangObjectNull) {


                    mPresenterHolidayToManyJoinListener = mPresenter.getHolidayToManyJoinListener();

                    mPresenterHolidayToManyJoinListenerJavaLangObjectNull = (mPresenterHolidayToManyJoinListener) != (null);
                    if (mPresenterHolidayToManyJoinListenerJavaLangObjectNull) {



                        mPresenterHolidayToManyJoinListener.onClickDelete(holiday);
                    }
                }
                break;
            }
            case 1: {
                // localize variables for thread safety
                // holiday
                com.ustadmobile.lib.db.entities.Holiday holiday = mHoliday;
                // mPresenter != null
                boolean mPresenterJavaLangObjectNull = false;
                // mPresenter.holidayToManyJoinListener
                com.ustadmobile.core.util.NavigateForResultOneToManyJoinEditListener<com.ustadmobile.lib.db.entities.Holiday> mPresenterHolidayToManyJoinListener = null;
                // mPresenter.holidayToManyJoinListener != null
                boolean mPresenterHolidayToManyJoinListenerJavaLangObjectNull = false;
                // mPresenter
                com.ustadmobile.core.controller.HolidayCalendarEditPresenter mPresenter = mMPresenter;



                mPresenterJavaLangObjectNull = (mPresenter) != (null);
                if (mPresenterJavaLangObjectNull) {


                    mPresenterHolidayToManyJoinListener = mPresenter.getHolidayToManyJoinListener();

                    mPresenterHolidayToManyJoinListenerJavaLangObjectNull = (mPresenterHolidayToManyJoinListener) != (null);
                    if (mPresenterHolidayToManyJoinListenerJavaLangObjectNull) {



                        mPresenterHolidayToManyJoinListener.onClickEdit(holiday);
                    }
                }
                break;
            }
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): holiday
        flag 1 (0x2L): mPresenter
        flag 2 (0x3L): null
    flag mapping end*/
    //end
}